libquota-perl (1.8.2+dfsg-3build4) stonking; urgency=medium

  * No-change rebuild against perl 5.42.3

 -- Ural Tunaboyu <ural@ubuntu.com>  Wed, 19 Aug 2026 14:06:23 -0700

libquota-perl (1.8.2+dfsg-3build3) plucky; urgency=medium

  * No-change rebuild for libperl soname.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Oct 2024 10:21:15 +0200

libquota-perl (1.8.2+dfsg-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:32:05 +0000

libquota-perl (1.8.2+dfsg-3build1) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Mar 2024 15:53:55 +0100

libquota-perl (1.8.2+dfsg-3) unstable; urgency=medium

  * Add build dependency on libtirpc-dev.
    Thanks to Aurelien Jarno for the bug report. (Closes: #1065182)
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.2.
  * Move comment out of override_dh_auto_test to skip target.

 -- gregor herrmann <gregoa@debian.org>  Fri, 01 Mar 2024 19:01:51 +0100

libquota-perl (1.8.2+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libquota-perl: Drop Multi-Arch: same.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 15 Oct 2022 19:48:24 +0100

libquota-perl (1.8.2+dfsg-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Update 'DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow' to '=+all'.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libquota-perl: Add Multi-Arch: same.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ gregor herrmann ]
  * Import upstream version 1.8.2+dfsg.
  * Update years of upstream and packaging copyright.
  * Declare compliance with Debian Policy 4.6.0.

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 Oct 2021 16:14:01 +0200

libquota-perl (1.8.1+dfsg-1) unstable; urgency=medium

  * Import upstream version 1.8.1+dfsg.
  * Refresh 02_gnu_hurd.patch (fuzz).

 -- gregor herrmann <gregoa@debian.org>  Tue, 21 Apr 2020 23:08:50 +0200

libquota-perl (1.8.0+dfsg-1) unstable; urgency=medium

  * Import upstream version 1.8.0+dfsg.
  * Update copyright years and license terms for third-party file.
  * Add debian/upstream/metadata.

 -- gregor herrmann <gregoa@debian.org>  Fri, 17 Apr 2020 19:42:07 +0200

libquota-perl (1.7.4+dfsg-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ intrigeri ]
  * Switch repackaging framework to Files-Excluded method.

  [ gregor herrmann ]
  * Remove Jonathan Yu from Uploaders. Thanks for your work!
  * Remove Ryan Niebur from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/control: update Build-Depends for cross builds.
  * debian/watch: use uscan version 4.
  * Import upstream version 1.7.4+dfsg.
  * Update years of upstream and packaging copyright.
  * Update upstream license, following their clarification.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 12.
  * Wrap long lines in changelog entries: 1.4.9-2.
  * Drop no longer supported add-log-mailing-address setting from
    debian/changelog.
  * Set bindnow linker flag in debian/rules.

 -- gregor herrmann <gregoa@debian.org>  Tue, 31 Mar 2020 19:10:08 +0200

libquota-perl (1.7.2+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * Replace debian/repack.stub with more recent version from
    pkg-perl-tools
  * Imported Upstream version 1.7.2+dfsg
    - Fixes "FTBFS with Linux 4.x" (Closes: #787463)
  * Refresh 02_gnu_hurd.patch patch
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 3.9.6
  * Fix filename used in copyright stanza for afsquota.c file
  * Mark package as autotestable (skipt testsuite as done for build)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 01 Jun 2015 22:43:58 +0200

libquota-perl (1.7.1+dfsg-1) unstable; urgency=low

  * Team upload.
  * Imported Upstream version 1.7.1+dfsg

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 23 Oct 2013 13:22:17 +0200

libquota-perl (1.7.0+dfsg-1) unstable; urgency=low

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Imported Upstream version 1.6.7+dfsg
  * Refresh 02_gnu_hurd.patch.
    Update for changes in Makefile.PL
  * Drop add-support-for-Linux-3.x.patch patch.
    Patch is applied upstream.
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Update debian/repack.stub.

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"

  [ Salvatore Bonaccorso ]
  * Add copyright and license information for debian/repack.stub file
  * Imported Upstream version 1.7.0+dfsg
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging files
  * Bump Debhelper compat level to 9.
    Adjust versioned Build-Depends on debhelper to (>= 9.20120312) to
    include all hardening build-flags in ld line.
  * Bump Standards-Version to 3.9.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 22 Sep 2013 22:38:13 +0200

libquota-perl (1.6.6+dfsg-2) unstable; urgency=low

  * Team upload.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.
  * Add add-support-for-Linux-3.x.patch.
    Add support to detect Linux 3.x via uname -rs which is used in
    Makefile.PL to detect the operating system on which the build is run.
    The Makefile.PL detected only Linux 2.x kernels, causing FTBFS with
    recent kernels of version 3.x. (Closes: #646695)
  * Remove 01_Makefile.PL-remove-unneeded-objects.patch.
    According to upstream this issue should be resolved since version 1.5.1
    of libquota-perl.
  * Bump Debhelper compat level to 8.
    Update versioned Build-Depends on debhelper to (>= 8).
  * Update copyright for debian/* packaging

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 03 Nov 2011 19:38:07 +0100

libquota-perl (1.6.6+dfsg-1) unstable; urgency=low

  * New upstream release
  * Raised standards version to 3.9.2

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 12 Jun 2011 14:04:36 +0100

libquota-perl (1.6.5+dfsg-1) unstable; urgency=low

  [ Nicholas Bamber ]
  * Added myself to Uploaders
  * New upstream release
  * Refresh debian/source/format
  * Upped standards version to 3.9.1
  * Removed explicit references to quilt
  * Refresh patches and forward where necessary
  * Refreshed copyright
  * Corrected license stanza on afsquota.c to 'Artistic or GPL-2+'
    and removed X-Comment
     Explanation: Between 1995-2001 this module was in the public domain.
     Since then it has been published under either the Artistic license or
     the GPL version 2. By version 1.60 (Oct 2007) the copyright situation
     had been largely resolved, except for the file afsquota.c. As documented
     in the RT ticket #28599, the maintainer clarified that the file
     was no longer in the public domain. However this was not correctly
     reflected in the Debian copyright file. This version attempts to
     accurately reflect the status quo.

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Thu, 06 Jan 2011 18:07:45 +0000

libquota-perl (1.6.4+dfsg-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Add myself to Uploaders and Copyright
  * Standards-Version 3.8.3 (drop perl version dep)
  * Rewrite control description
  * Add override to fix shebangs
  * Update copyright to new DEP5 format
  * Refresh copyright info from changelog trailers

  [ Ryan Niebur ]
  * Update ryan52's email address

 -- Jonathan Yu <jawnsy@cpan.org>  Sun, 17 Jan 2010 12:09:31 -0500

libquota-perl (1.6.3+dfsg-2) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Ryan Niebur ]
  * patch from Barry deFreese to fix FTBFS on Hurd (Closes: #533700)
  * Add myself to Uploaders
  * Debian Policy 3.8.2
  * simplify d/rules

 -- Ryan Niebur <ryanryan52@gmail.com>  Fri, 19 Jun 2009 14:08:36 -0700

libquota-perl (1.6.3+dfsg-1) unstable; urgency=low

  [Franck Joncourt]
  * Added get-orig-source target to allow users to get the debian tarball
    easily.
  * Move contents of README.Debian-source to README.source.
  * Replace uversionmangle by dversionmangle in debian/watch.
    This fixes the following lintian warning:
    http://lintian.debian.org/tags/debian-watch-file-should-dversionmangle\
    -not-uversionmangle.html

  [ gregor herrmann ]
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.
  * debian/control: Added: ${misc:Depends} to Depends: field.

  * New upstream release.
  * Add a description to 01_Makefile.PL-remove-unneeded-objects.patch.
  * Set debhelper compatibility level to 7; adapt
    debian/{control,compat,rules}.
  * debian/copyright: switch to new format.

 -- gregor herrmann <gregoa@debian.org>  Thu, 01 Jan 2009 23:05:22 +0100

libquota-perl (1.6.2+dfsg-2) unstable; urgency=low

  * debian/rules: touch Makefile in clean target after unpatching
    Makefile.PL to prevent it from being re-built; allows building twice
    in a row. s/stamp-stamp/install-stamp/ in dh_clean.
  * Refresh debian/rules, no functional changes, except for the omission of
    README.
  * debian/control: make build dependency on quilt versioned.
  * Add /me to Uploaders.

 -- gregor herrmann <gregoa@debian.org>  Wed, 30 Apr 2008 22:57:02 +0200

libquota-perl (1.6.2+dfsg-1) unstable; urgency=low

  [ Gregor Herrmann ]
  * New upstream release.
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza). Removed: XS-Vcs-Svn fields.
  * Add copyright information for afsquota.c to debian/copyright.

  [ Rene Mayorga ]
  * New upstream release
  * Bump Standards-version to 3.7.3 (no changes requiered)
  * Adding install-stamp target and make install depends on it
  * Remove copyright info from afsquota.c
  * debian/copyright
    + Adding info from afsquota.c
  * debian/compat
    + set to 6
  * debian/control
    + remove myself and Gregor from uploaders

  [ gregor herrmann ]
  * debian/rules: delete /usr/share/perl5 only if it exists.
  * debian/control: bump dependency on debhelper to >= 6.
  * debian/watch: use dist-based URL.

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 10 Jan 2008 19:51:39 -0500

libquota-perl (1.5.2+dfsg-1) unstable; urgency=low

  * New upstream release
    + Added support for new quotactl() parameters in JFS2 on AIX 5.3
    + Changed the "isgrp" param to Quota::query() and setqlim() from boolean
      into an enum: 0:=user, 1:=group, 2:=project quotas.
  * debian/control
    + Homepage field added
  * debian/copyright
    + Update info from upstream copyright
  * debian/watch
    + change URL from backpan.cpan.org to www.cpan.org

 -- Rene Mayorga <rmayorga@debian.org.sv>  Mon, 08 Oct 2007 21:11:19 -0600

libquota-perl (1.5.1+dfsg-1) unstable; urgency=low

  [ Rene Maiorga ]
  * New Maintainer (Closes:  #430980)
    Now Maintaining by Debian Perl Group
  * New upstream release (Closes: #423699)
  * Version changed to +dfsg because 'vxquotacl.c' was removed
    from the upstream tarball, due to unclarify copyright see: 'README.Debian'
  * debian/rules
    clean some unused dh_* calls
    changed 'pwd' to $(CURDIR)
    some cosmetical changes
    get-orig-source target added
  * debian/control:
    Added myself to Uploaders
  * debian/copyright updated: copyrights holder's
    info from other piece of code in the package
  * debian/watch added

  [ Damyan Ivanov ]
  * debian/watch linked to debian/repack.sh to automate repackaging
    + added version mangling
  * Moved the change of Makefile.PL to a patch
    + Added quilt build-dependency
  * Renamed README.Debian to README.Debian-source as per DevRef
  * Added myself to Uploaders too
  * Replaced get-orig-target content with simple "uscan --force" now that we
    have a hook in the watch file
  * Changed upstream URL in debian/copyright and Homepage in
    debian/control to version-independent variant

 -- Damyan Ivanov <dmn@debian.org>  Sat, 22 Sep 2007 16:19:30 +0300

libquota-perl (1.4.9-3) unstable; urgency=low

  * QA upload.
  * Change Maintainer to Debian QA Group <packages@qa.debian.org>
  * Update Standards Version (no changes)
  * Replace deprecated dh_installmanpages with dh_installman

 -- Neil Williams <codehelp@debian.org>  Tue, 17 Jul 2007 19:07:13 +0100

libquota-perl (1.4.9-2) unstable; urgency=low

  * Removed Makefile.PL code to compile some stuff without -fPIC
    (Closes: #229396)

 -- Elie Rosenblum <fnord@debian.org>  Sat, 24 Jan 2004 12:56:33 -0500

libquota-perl (1.4.9-1) unstable; urgency=low

  * New upstream version

 -- Elie Rosenblum <fnord@debian.org>  Mon, 12 Jan 2004 19:43:37 -0500

libquota-perl (1.4.6-2) unstable; urgency=low

  * Fixed quota.h path (Closes: #223181)
    Courtesy of Daniel Schepler <schepler@math.berkeley.edu>

 -- Elie Rosenblum <fnord@debian.org>  Mon, 12 Jan 2004 19:31:06 -0500

libquota-perl (1.4.6-1) unstable; urgency=high

  * New upstream version.
  * Compiled with perl 5.8

 -- Elie Rosenblum <fnord@debian.org>  Mon,  2 Sep 2002 00:28:43 -0400

libquota-perl (1.4.2-1) unstable; urgency=low

  * New upstream version.

 -- Elie Rosenblum <fnord@debian.org>  Thu,  9 May 2002 19:50:35 -0400

libquota-perl (1.4.1-1) unstable; urgency=low

  * New upstream version.
  * Now compiling with -fPIC (Closes: #123107)

 -- Elie Rosenblum <fnord@cosanostra.net>  Fri, 25 Jan 2002 15:34:25 -0500

libquota-perl (1.3.4-1) unstable; urgency=low

  * Initial Release.

 -- Elie Rosenblum <fnord@debian.org>  Fri, 24 Aug 2001 00:08:21 -0400
